README
======

Zonemaster offers the possibility to tests several zones in batches. However
the current code in [upstream][Zonemaster-Github] is not very efficient. Some
optimizations have been made and are available in the `nightly-ronde` branch
for the following components:

  * [Zonemaster::Engine][Zonemaster-Engine-ronde]
  * [Zonemaster::Backend][Zonemaster-Backend-ronde]

Each component can be installed using the installation document provided in
each repository (either in upstream or from the above repositories). Then
install the following packets (for Ubuntu/Debian):

```
sudo apt-get install -y libredis-perl libdata-messagepack-perl libnet-ip-xs-perl
```

The Redis server location can be configure using the `REDIS_SERVER` environment
variable. 

To queue jobs to Redis you can use the `queue_batch.pl` script in this
repository. This script will take all pending jobs in the last batch and put
them in the Redis queue.

[Zonemaster-Github]: https://github.com/zonemaster
[Zonemaster-Engine-ronde]: https://gitlab.rd.nic.fr/zonemaster/zonemaster-engine/-/tree/nightly-ronde
[Zonemaster-Backend-ronde]: https://gitlab.rd.nic.fr/zonemaster/zonemaster-backend/-/tree/nightly-ronde

